Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.bitmap
Class MultiFileRenderingUtil

    java.lang.Object
      org.apache.fop.render.bitmap.MultiFileRenderingUtil

    public class MultiFileRenderingUtil

extends java.lang.Object

This utility class helps renderers who generate one file per page, like the PNG renderer.

Constructor Summary
`MultiFileRenderingUtil(java.lang.String ext, java.io.File outputFile)` Creates a new instance.

Method Summary
`java.io.OutputStream` | `createOutputStream(int pageNumber)` Creates a new `OutputStream` for the given page number.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiFileRenderingUtil

    public MultiFileRenderingUtil(java.lang.String ext,
                                  java.io.File outputFile)

  Creates a new instance.

  The file name must not have an extension, or must have extension "png", and its last period must not be at the start (empty file prefix).

  Parameters:
    `ext` - the extension to be used
    `outputFile` - the output file or null if there's no such information

Method Detail

### createOutputStream

    public java.io.OutputStream createOutputStream(int pageNumber)
                                            throws java.io.IOException

  Creates a new `OutputStream` for the given page number.

  Parameters:
    `pageNumber` - the page number (zero-based)
  Returns:
    the output stream for the page
  Throws:
    `java.io.IOException` - if there's an I/O error while setting up the output stream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.